fn main() {
    #[cfg(feature = "mdbook-renderer")]
    include_mdbook_templates();
}

#[cfg(feature = "mdbook-renderer")]
fn include_mdbook_templates() {
    use glob::glob;
    use includedir_codegen::Compression;

    let mut templates = includedir_codegen::start("BASE_TEMPLATES");

    for path_result in glob("book/**/*.tera").unwrap() {
        let path = path_result.unwrap();
        templates.add_file(path, Compression::Gzip).unwrap();
    }

    templates.build("mdbook-templates.rs").unwrap();
}
